Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Account Management
  • Alias
  • Application
  • Application Admin
  • Application Licensing
  • Audit
  • Backup
  • Directory
  • Directory Admin
  • Group Admin
  • Group Level Admin
  • Groups
  • Groups Membership
  • LDAP Connection Pool
  • Look and Feel
  • Mail Server
  • Remember Me
  • SAML Configuration
  • Server Info
  • Sessions
  • Token
  • User Admin
  • User Authentication
  • Users
Server
Crowd Data Center / Reference / REST API

Account Management

Postman Collection
OpenAPI
POST

Change password

Changes user's password

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

newPassword

string

oldPassword

string

username

string

Responses

the operation succeeded and password was changed

POST/rest/account/1/change-password
1 2 3 4 5 6 7 8 curl --request POST \ --url 'http://{baseurl}/rest/rest/account/1/change-password' \ --header 'Content-Type: application/json' \ --data '{ "newPassword": "<string>", "oldPassword": "<string>", "username": "<string>" }'
POST

Forgotten password

Starts the procedure for forgotten password

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

username

string

Responses

the operation succeeded or some error occurred, but for security reasons it won't be revealed

POST/rest/account/1/forgotten-password
1 2 curl --request POST \ --url 'http://{baseurl}/rest/rest/account/1/forgotten-password'
POST

Forgotten username

Starts the procedure for forgotten username

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

email

string

Responses

the operation succeeded or some error occurred, but for security reasons it won't be revealed

POST/rest/account/1/forgotten-username
1 2 curl --request POST \ --url 'http://{baseurl}/rest/rest/account/1/forgotten-username'
POST

Reset password

Resets user's forgotten password

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

directoryId

integer

password

string

token

string

username

string

Responses

the operation succeeded and password was reset

POST/rest/account/1/reset-password
1 2 3 4 5 6 7 8 9 curl --request POST \ --url 'http://{baseurl}/rest/rest/account/1/reset-password' \ --header 'Content-Type: application/json' \ --data '{ "directoryId": 2154, "password": "<string>", "token": "<string>", "username": "<string>" }'
POST

Validate Token

Checks whether user's reset token is still valid

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

token to check for validity

directoryId

integer

token

string

username

string

Responses

the operation succeeded and token validity was retrieved

POST/rest/account/1/token-status
1 2 3 4 5 6 7 8 curl --request POST \ --url 'http://{baseurl}/rest/rest/account/1/token-status' \ --header 'Content-Type: application/json' \ --data '{ "directoryId": 2154, "token": "<string>", "username": "<string>" }'

Rate this page: